diff -urN debian.orig/changelog debian/changelog
--- debian.orig/changelog	2010-04-04 19:12:52.000000000 +0900
+++ debian/changelog	2010-04-04 18:43:31.000000000 +0900
@@ -1,3 +1,10 @@
+cscope (15.7a-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * separete emacs lisp to cscope-el package (Closes: #565727).
+
+ -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 04 Apr 2010 18:42:44 +0900
+
 cscope (15.7a-3) unstable; urgency=low
 
   * Depend on emacsen-common to be able to install xcscope.el correctly
diff -urN debian.orig/control debian/control
--- debian.orig/control	2010-04-04 19:12:52.000000000 +0900
+++ debian/control	2010-04-04 19:04:17.000000000 +0900
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Tobias Klauser <tklauser@distanz.ch>
 Build-Depends: debhelper (>= 7), dpatch, autotools-dev, bison, flex, libncurses5-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://cscope.sourceforge.net
 Vcs-Git: http://git.distanz.ch/scm/debian/pkg-cscope.git
 Vcs-Browser: http://git.distanz.ch/?p=debian/pkg-cscope.git
 
 Package: cscope
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cbrowser
 Description: Interactively examine a C program source
  Cscope is an interactive text screen based source browsing tool.
@@ -28,3 +28,12 @@
  Where does the message "out of space" come from?
  Where is this source file in the directory structure?
  What files include this header file?
+
+Package: cscope-el
+Architecture: all
+Depends: cscope (>= ${source:Version}), emacs23 | emacsen, ${misc:Depends}
+Description: Interactively examine a C program source, cscope emacs binding
+ Cscope is an interactive text screen based source browsing tool.
+ .
+ This is emacs binding for cscope.
+
diff -urN debian.orig/cscope-el.emacsen-install debian/cscope-el.emacsen-install
--- debian.orig/cscope-el.emacsen-install	1970-01-01 09:00:00.000000000 +0900
+++ debian/cscope-el.emacsen-install	2010-04-04 18:35:50.000000000 +0900
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# emacsen install script for the Debian GNU/Linux cscope package
+# based on the emacsen install script of the cmake package
+
+FLAVOUR=$1
+PACKAGE=cscope
+
+ELDIR=/usr/share/emacs/site-lisp/
+ELCDIR=/usr/share/$FLAVOUR/site-lisp/$PACKAGE
+ELFILE="xcscope.el"
+FLAGS="-batch -no-site-file -l path.el -f batch-byte-compile"
+
+if [ $FLAVOUR != emacs ]; then
+	echo "install/$PACKAGE: Byte-compiling for $FLAVOUR"
+
+	install -m 755 -d $ELCDIR
+	cd $ELDIR
+	cp $ELFILE $ELCDIR
+	cd $ELCDIR
+	cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+	$FLAVOUR $FLAGS $ELFILE
+	rm -f $ELFILE path.el
+fi
diff -urN debian.orig/cscope-el.emacsen-remove debian/cscope-el.emacsen-remove
--- debian.orig/cscope-el.emacsen-remove	1970-01-01 09:00:00.000000000 +0900
+++ debian/cscope-el.emacsen-remove	2010-04-04 18:35:50.000000000 +0900
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+FLAVOUR=$1
+PACKAGE=cscope
+ELCFILE=xcscope.elc
+
+if [ $FLAVOUR != emacs ]; then
+	echo "remove/$PACKAGE: Purging byte-compiled files for $FLAVOUR"
+	rm -f /usr/share/$FLAVOUR/site-lisp/$ELCFILE
+fi
diff -urN debian.orig/cscope-el.install debian/cscope-el.install
--- debian.orig/cscope-el.install	1970-01-01 09:00:00.000000000 +0900
+++ debian/cscope-el.install	2010-04-04 18:39:04.000000000 +0900
@@ -0,0 +1 @@
+contrib/xcscope/xcscope.el  usr/share/emacs/site-lisp
diff -urN debian.orig/cscope-el.preinst debian/cscope-el.preinst
--- debian.orig/cscope-el.preinst	1970-01-01 09:00:00.000000000 +0900
+++ debian/cscope-el.preinst	2010-04-04 18:35:50.000000000 +0900
@@ -0,0 +1,24 @@
+#!/bin/sh -e
+
+cleanup_sitestart() {
+	if [ -e /etc/emacs/site-start.d/50cscope.el ]; then
+		rm -f /etc/emacs/site-start.d/50cscope.el
+	fi
+}
+
+case "$1" in
+	upgrade)
+	cleanup_sitestart
+	;;
+
+	install|abort-upgrade)
+	;;
+
+	*)
+	echo "$0 called with unknown argument '$1'" >&2
+	exit 1
+	;;
+esac
+
+#DEBHELPER#
+exit 0
diff -urN debian.orig/cscope.emacsen-install debian/cscope.emacsen-install
--- debian.orig/cscope.emacsen-install	2010-04-04 19:12:52.000000000 +0900
+++ debian/cscope.emacsen-install	1970-01-01 09:00:00.000000000 +0900
@@ -1,26 +0,0 @@
-#!/bin/sh
-#
-# emacsen install script for the Debian GNU/Linux cscope package
-# based on the emacsen install script of the cmake package
-
-FLAVOUR=$1
-PACKAGE=cscope
-
-ELDIR=/usr/share/emacs/site-lisp/
-ELCDIR=/usr/share/$FLAVOUR/site-lisp/$PACKAGE
-ELFILE="xcscope.el"
-FLAGS="-batch -no-site-file -l path.el -f batch-byte-compile"
-
-if [ $FLAVOUR != emacs ]; then
-	echo "install/$PACKAGE: Byte-compiling for $FLAVOUR"
-
-	install -m 755 -d $ELCDIR
-	cd $ELDIR
-	cp $ELFILE $ELCDIR
-	cd $ELCDIR
-	cat << EOF > path.el
-(setq load-path (cons "." load-path) byte-compile-warnings nil)
-EOF
-	$FLAVOUR $FLAGS $ELFILE
-	rm -f $ELFILE path.el
-fi
diff -urN debian.orig/cscope.emacsen-remove debian/cscope.emacsen-remove
--- debian.orig/cscope.emacsen-remove	2010-04-04 19:12:52.000000000 +0900
+++ debian/cscope.emacsen-remove	1970-01-01 09:00:00.000000000 +0900
@@ -1,11 +0,0 @@
-#!/bin/sh
-set -e
-
-FLAVOUR=$1
-PACKAGE=cscope
-ELCFILE=xcscope.elc
-
-if [ $FLAVOUR != emacs ]; then
-	echo "remove/$PACKAGE: Purging byte-compiled files for $FLAVOUR"
-	rm -f /usr/share/$FLAVOUR/site-lisp/$ELCFILE
-fi
diff -urN debian.orig/cscope.install debian/cscope.install
--- debian.orig/cscope.install	2010-04-04 19:12:52.000000000 +0900
+++ debian/cscope.install	1970-01-01 09:00:00.000000000 +0900
@@ -1 +0,0 @@
-contrib/xcscope/xcscope.el  usr/share/emacs/site-lisp
diff -urN debian.orig/cscope.preinst debian/cscope.preinst
--- debian.orig/cscope.preinst	2010-04-04 19:12:52.000000000 +0900
+++ debian/cscope.preinst	1970-01-01 09:00:00.000000000 +0900
@@ -1,24 +0,0 @@
-#!/bin/sh -e
-
-cleanup_sitestart() {
-	if [ -e /etc/emacs/site-start.d/50cscope.el ]; then
-		rm -f /etc/emacs/site-start.d/50cscope.el
-	fi
-}
-
-case "$1" in
-	upgrade)
-	cleanup_sitestart
-	;;
-
-	install|abort-upgrade)
-	;;
-
-	*)
-	echo "$0 called with unknown argument '$1'" >&2
-	exit 1
-	;;
-esac
-
-#DEBHELPER#
-exit 0
